<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="1column" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
	<head>
        <css src="Bloyal_ClickCollect::css/calculatecart.css" media="all"/>
    </head>
    <body>
        <referenceBlock name="checkout.root">
            <arguments>
                <argument name="jsLayout" xsi:type="array">
                    <item name="components" xsi:type="array">
                        <item name="checkout" xsi:type="array">
                            <item name="children" xsi:type="array">
								<item name="sidebar" xsi:type="array">
                                    <item name="children" xsi:type="array">
										<item name="store_sidebar" xsi:type="array">
                                            <item name="component" xsi:type="string">Bloyal_ClickCollect/js/view/store_sidebar</item>
                                            <item name="displayArea" xsi:type="string">summary</item>
                                            <item name="config" xsi:type="array">
                                                <item name="template" xsi:type="string">Bloyal_ClickCollect/store_sidebar
                                                </item>
                                            </item>
                                        </item>
                                    </item>
                                </item>
								<item name="steps" xsi:type="array">
                                    <item name="children" xsi:type="array">
                                        <item name="shipping-step" xsi:type="array">
                                            <item name="children" xsi:type="array">
                                                <item name="shippingAddress" xsi:type="array">
                                                    <item name="children" xsi:type="array">
                                                        <item name="shippingAdditional" xsi:type="array">
                                                            <item name="component" xsi:type="string">uiComponent</item>
                                                            <item name="displayArea" xsi:type="string">shippingAdditional</item>
                                                            <item name="children" xsi:type="array">
                                                                <item name="shipping-option-wrapper" xsi:type="array">
                                                                    <!-- Component Magento_Checkout/js/view/additional-shipping-option is used as a wrapper for content -->
                                                                    <item name="component" xsi:type="string">Bloyal_ClickCollect/js/view/additional-shipping-option</item>
                                                                    <item name="sortOrder" xsi:type="string">0</item>
                                                                </item>
                                                            </item>
                                                        </item>
                                                    </item>
                                                </item>
                                            </item>
                                        </item>
                                        <item name="billing-step" xsi:type="array">
                                            <item name="component" xsi:type="string">uiComponent</item>
                                            <item name="children" xsi:type="array">
                                                <item name="payment" xsi:type="array">
                                                    <item name="children" xsi:type="array">
                                                        <item name="renders" xsi:type="array">
                                                            <!-- merge payment method renders here -->
                                                            <item name="children" xsi:type="array">
                                                                <item name="storepay" xsi:type="array">
																	<item name="component" xsi:type="string">Bloyal_ClickCollect/js/view/payment/storepay</item>
																	<item name="methods" xsi:type="array">
																		<item name="storepay" xsi:type="array">
																			<item name="isBillingAddressRequired" xsi:type="boolean">true</item>
																		</item>
																	</item>
																</item>
                                                            </item>
                                                        </item>
                                                    </item>
                                                </item>
                                            </item>
                                        </item>
                                    </item>
                                </item>
                            </item>
                        </item>
                    </item>
                </argument>
            </arguments>
        </referenceBlock>
    </body>
</page>